Bug 676957 - IPv6 configuration with NetworkManager extremely slow
IPv6 configuration with NetworkManager extremely slow
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
13
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-11 21:43 EST by H. Peter Anvin
Modified: 2011-06-27 08:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 08:15:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2011-02-11 21:43:48 EST
Description of problem:
When using IPv6, NetworkManager appears to not actively manage the IPv6 side of the fence.  As a result, it seems that an IPv6 address only gets set once a gratuitous RA announcement is seen, and on switching networks (say different WLANs) the old address sticks around.

This means the IPv6 network is unavailable for an appreciable fraction of an hour.

Version-Release number of selected component (if applicable):
NetworkManager-0.8.1-10.git20100831.fc14.x86_64
kde-plasma-networkmanagement-0.9-0.28.20101011.fc14.x86_64


How reproducible:
Every time


Steps to Reproduce:
1. Associate to a IPv6-capable WLAN
2. Wait (frequently long) for an IPv6 address to appear
3. Associate to another IPv6-capable WLAN
4. Observe the IPv6 address is now stale.
Comment 1 David Woodhouse 2011-02-14 13:46:16 EST
Once upon a time (commit a888de7e) NM would remove all the IP addresses from the device when taking it down. And then it would re-add the link-local address when it reconnects.

Now, it seems to leave the stale IPv6 address obtained by RA, when it takes the interface down. And even when it reconnects to the *new* network.

Thus, you keep your stale IPv6 address from the old network until it times out and you pick up a new one.
Comment 2 Dan Williams 2011-02-25 01:49:47 EST
I just fixed a bug that might leave these around when taking down the device; can you try out latest updates?

https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.995-1.fc13
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.995-1.fc14

The catch is that the fix only takes care of the case where IPv6 was tried and failed for some reason; previously NM would leave any routes and addresses that were obtained before the failure in-place.  Now they are correctly flushed when the device goes down.  Do those updates fix the issue?  If not, you can run NM like so:

NetworkManager --no-daemon --log-level=debug

and you'll get a whole slew of information about the address and routing configuration process that I can use to debug the issue.  Thanks!
Comment 3 Bug Zapper 2011-05-30 07:24:47 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 08:15:10 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.